Page MenuHomePhabricator

ATS is currently adding its own server header
Closed, ResolvedPublic

Description

This is a tiny difference between our varnish and ATS setups:

>>> 'server' in requests.get('https://upload-lb.eqiad.wikimedia.org/wikipedia/commons/a/a7/2008-08-22_Cortinarius_violaceus_%28L.%29_Gray_18241.jpg', verify=False, headers={'Host': 'upload.wikimedia.org'}).headers
False
>>> requests.get('http://upload-lb.ulsfo.wikimedia.org/wikipedia/commons/a/a7/2008-08-22_Cortinarius_violaceus_%28L.%29_Gray_18241.jpg', verify=False, headers={'Host': 'upload.wikimedia.org'}).headers['server']
'ATS/8.0.3'

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2019, 1:36 PM
Vgutierrez triaged this task as Medium priority.May 22 2019, 1:36 PM
Vgutierrez moved this task from Triage to Caching on the Traffic board.

Also, ATS doesn't change the via header as Varnish does.

Change 520875 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: do not add Server: header

https://gerrit.wikimedia.org/r/520875

Change 520875 merged by Ema:
[operations/puppet@production] ATS: do not overwrite Server header but add it if missing

https://gerrit.wikimedia.org/r/520875

Change 521261 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] varnish: stop sending the Via response header

https://gerrit.wikimedia.org/r/521261

Change 521261 merged by Ema:
[operations/puppet@production] varnish: stop sending the Via response header

https://gerrit.wikimedia.org/r/521261

ema closed this task as Resolved.Jul 9 2019, 8:50 AM
ema claimed this task.
ema added a subscriber: ema.

ATS now sets Server only if missing in the origin server response. Also, Varnish now does not send Via any longer (the header wasn't used at all).